@media screen and (max-width:3000px){

.upslider {
    position: relative;
    width: 100%;
    aspect-ratio:3000/1688; /* ビューポート全体の高さ */
    overflow: hidden;
}

/* 各スライド */
.upslide {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    /* 初期状態でスライドを上に配置 */
    transform: translateY(-100%);
    z-index: 0;
    transition: opacity 0.5s ease-in-out;
}

/* 現在表示中のスライド */
.upslide.active {
    opacity: 1;
    z-index: 1;
    transform: translateY(0);
}

/* スライド内のコンテンツ */
.upslide-content {
    position: relative;
    z-index: 2;
    text-align: center;
}

/* スライド内のテキスト */
.upslide-text {
    /*font-size: 3.4em;
    color:#fff;text-shadow:2px 2px 2px black;

-webkit-text-shadow:2px 2px 2px black;*/
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.5s ease, transform 0.5s ease;
    /* テキストを見やすくするため影を付ける */
    /*font-weight:bold;*/
}

/* ナビゲーションボタン */
.upslide-nav {
    position: absolute;
    bottom: 20px;
    width: 100%;
    text-align: center;
}

.upslide-nav button {
    padding: 10px 20px;
    margin: 0 5px;
    border: none;
    background-color: rgba(255,255,255,0.5);
    cursor: pointer;
    color: #000;
    font-size: 1em;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
}

.upslide-nav button.active, .slide-nav button:hover {
    background-color: rgba(255,255,255,1);
    transform: scale(1.1);
}


.up_img01{background-image:url("../img/index101_LL.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:3000/1688;}

.up_img02{background-image:url("../img/index102_LL.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:3000/1688;}

.up_img03{background-image:url("../img/index103_LL.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:3000/1688;}

.up_img04{background-image:url("../img/index104_LL.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:3000/1688;}


}

@media screen and (max-width:768px){
.upslider {
    position: relative;
    width: 100%;
    aspect-ratio:800/1250; /* ビューポート全体の高さ */
    overflow: hidden;
}

/* 各スライド */
.upslide {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    /* 初期状態でスライドを上に配置 */
    transform: translateY(-100%);
    z-index: 0;
    transition: opacity 0.5s ease-in-out;
}

/* 現在表示中のスライド */
.upslide.active {
    opacity: 1;
    z-index: 1;
    transform: translateY(0);
}

/* スライド内のコンテンツ */
.upslide-content {
    position: relative;
    z-index: 2;
    text-align: center;
}

/* スライド内のテキスト */
.upslide-text {
    /*font-size: 1.8em;
    color:#fff;text-shadow:2px 2px 2px black;

-webkit-text-shadow:2px 2px 2px black;*/
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.5s ease, transform 0.5s ease;
    /* テキストを見やすくするため影を付ける */
    /*font-weight:bold;*/
}

/* ナビゲーションボタン */
.upslide-nav {
    position: absolute;
    bottom: 20px;
    width: 100%;
    text-align: center;
}

.upslide-nav button {
    padding: 10px 20px;
    margin: 0 5px;
    border: none;
    background-color: rgba(255,255,255,0.5);
    cursor: pointer;
    color: #000;
    font-size: 1em;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.3s;
}

.upslide-nav button.active, .slide-nav button:hover {
    background-color: rgba(255,255,255,1);
    transform: scale(1.1);
}


.up_img01{background-image:url("../img/index101_MS.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:800/1250;}

.up_img02{background-image:url("../img/index102_MS.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:800/1250;}

.up_img03{background-image:url("../img/index103_MS.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:800/1250;}

.up_img04{background-image:url("../img/index104_MS.jpg");

background-repeat:no-repeat;background-position:center center;

background-size:cover;aspect-ratio:800/1250;}







}